org.eclipse.microprofile.rest.client.annotation

## Annotation Type RegisterProvider

    @Target(value=TYPE)
     @Retention(value=RUNTIME)
     @Documented
     @Repeatable(value=RegisterProviders.class)
    public @interface RegisterProvider

When annotation is placed at the interface level of a REST API definition, the providers listed will be registered upon proxying.

If a provider listed is not found on the classpath, it is ignored. If a provider is listed, but is not a valid provider, then an `IllegalArgumentException` is thrown indicating that the provider is invalid.

### Required Element Summary

Required Elements
`Class<?>` `value`

### Optional Element Summary

Optional Elements
`int` `priority`

### Element Detail

#### value

    public abstract Class<?> value

Returns:
  the provider class to register on this client interface

#### priority

    public abstract int priority

Returns:
  the priority of the provider. If not specified, reads the priority from the annotation `Priority` as defined on the class

Default:
  -1